Name:           libuv 
Version:        1.46.0
Release:        1%{?dist}
Summary:        Cross-platform asynchronous I/O

# Code is MIT
# Documentation is CC-BY-4.0
# src/inet.c is ISC
# include/uv/tree.h is BSD-2-Clause
License:        MIT and CC-BY-4.0 and ISC AND BSD-2-Clause
URL:            https://libuv.org
Source0:        https://github.com/libuv/libuv/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc-c++
# Documentation
BuildRequires:  make
BuildRequires:  python3-sphinx

%description
libuv is a multi-platform support library with a focus on asynchronous I/O.
It was primarily developed for use by Node.js, but it's also used by Luvit,
Julia, uvloop, and others.

%package devel
Summary:        Development files for libuv
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
Development headers and configuration files
for libuv, an asynchronous I/O library.

%prep
%autosetup


%build
%cmake -DBUILD_TESTING=ON
%cmake_build
# Build Documentation
cd docs
make man
cd ..

%install
%cmake_install
# install documentation
mkdir -p  %{buildroot}/%{_mandir}/man1/
install -p -m 644 docs/build/man/libuv.1 %{buildroot}/%{_mandir}/man1/
# Remove static library
rm %{buildroot}/%{_libdir}/libuv.a
rm %{buildroot}/%{_libdir}/pkgconfig/libuv-static.pc
# Remove packaged license files
rm %{buildroot}/%{_docdir}/libuv/LICENSE
rm %{buildroot}/%{_docdir}/libuv/LICENSE-extra


%check
# Some of the tests fail
#ctest

%files
%license LICENSE
%license LICENSE-docs
%license LICENSE-extra
%doc SUPPORTED_PLATFORMS.md
%doc README.md
%doc AUTHORS
%doc ChangeLog
%{_mandir}/man1/libuv.1*
%{_libdir}/libuv.so.1*

%files devel
%{_includedir}/uv.h
%dir %{_includedir}/uv
%{_includedir}/uv/*.h
%{_libdir}/libuv.so
%{_libdir}/pkgconfig/libuv.pc
%dir %{_libdir}/cmake/libuv
%{_libdir}/cmake/libuv/*.cmake

%changelog
* Sun Sep 24 2023 Benson Muite <benson_muite@emailplus.org> - 1.46.0-1
- Initial package
